<?php
namespace Modules\NsGastro\Listeners;

use Modules\NsGastro\Events\KitchenAfterUpdatedOrderEvent;
use Modules\NsGastro\Services\GastroOrderService;

class KitchenAfterUpdatedOrderEventListener
{
    public function __construct( public GastroOrderService $gastroOrderService )
    {
        // ...
    }

    public function handle( KitchenAfterUpdatedOrderEvent $event )
    {
        $this->gastroOrderService->checkOrderCookingStatus( $event->order );
    }
}